# React Native Auto Update For Android In Notification
React Native Android自动下载更新APK，进度条在通知栏中显示

## Getting Started <a href="https://www.npmjs.com/package/react-native-android-auto-update"><img alt="npm version" src="http://img.shields.io/npm/v/react-native-android-auto-update.svg?style=flat-square"></a>


`$ npm install react-native-android-auto-update@0.1.0`


`$ react-native link react-native-android-auto-update`

## usage

```javascript
import {NativeModules} from 'react-native';

NativeModules.RNAndroidAutoUpdate.goToDownload('http://example.com/your.apk');
```

`Progress` and `Error` callback
```javascript
import RNAndroidAutoUpdate from 'react-native-android-auto-update';

RNAndroidAutoUpdate.goToDownload(
    'http://example.com/your.apk',
    progress => console.log(progress),
    err => alert(err),

);
```

=============================

如果遇到`Could not resolve com.android.support:**`或者下载jcenter()较慢时，可以改成国内镜像https://www.jianshu.com/p/76a36a37d74c
```
repositories {
    maven { url 'https://maven.aliyun.com/repository/jcenter' }
    maven { url 'https://maven.aliyun.com/repository/google' }
}
```

## todo-list
 - [x] 未更新至`android-auto-update` [v2.0](https://github.com/React-Sextant/react-native-android-auto-update/blob/master/README.md)
 - [x] 未启用推送通知更新

## core
 - [DownloadService.java](https://github.com/react-sextant/react-native-android-auto-update/blob/master/android/src/main/java/com/loveplusplus/update/DownloadService.java)

## reference
 - [1] [android-auto-update](https://github.com/feicien/android-auto-update)
 - [1] [react-native-android-auto-update](https://github.com/ribuluo000/react-native-android-auto-update)
